Subject: Move authentication middleware to library

Description

The current authentication middleware (the one that connects to Astakos to check the token and retrieve user info), should be applied only

to API calls. As such, the code is better suited to a library module than a django middleware which affects all requests.

Associated revisions

Revision cf441bae - 02/20/2012 01:31 pm - Antony Chazapis

Move authentication logic to lib.

Requires changes in settings.

Fixes #2070

Revision cf441bae - 02/20/2012 01:31 pm - Antony Chazapis 

Move authentication logic to lib.

Requires changes in settings.

Fixes #2070

History

#1 - 02/20/2012 01:32 pm - Antony Chazapis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"cf441bae216107c768509c5b573e395118f4adb1".

#2 - 02/08/2013 06:59 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.9.0 (beta))

#3 - 02/08/2013 07:01 pm - Vangelis Koukis

- Category set to Pithos
